Subject: bug#36644: Git log search

From: Juri Linkov <[email-masked]>
Date: Thu, 25 Jul 2019 21:50:35 +0300

> - Are you sure we want to use the basic regexps here? Thinking back to my
> experience when I just started using Emacs, I really was only aware of two
> kinds: extended regexps (because most programming languages use this syntax
> nowadays) and Emacs regexps. So I figure extended regexps might be the more
> user-friendly option.

The default version of regular expression syntax is
a basic regular expression in both git-log and grep.
And as Eli has pointed out to grep as a precedent,
most users are accustomed to basic regexps by default
while grepping files or git logs.

> - I wonder how tabs got inside the new function's definition,
> considering the value of indent-tabs-mode we have in .dir-locals.

Sorry, I had a mode with a rule to use indent-tabs-mode
when the file already uses TABs:

  (defun indent-tabs-mode-maybe ()
    (if (save-excursion
          (goto-char (point-min))
          ;; If there are at least 10 lines with a leading TAB, use TABs.
          (re-search-forward "^\t" (+ (point) 100000) t 10))
        (set (make-local-variable 'indent-tabs-mode) t)))
  (add-hook 'find-file-hook 'indent-tabs-mode-maybe)

I'll disable it.